Skip to content
Start here

Get the current status of an interconnect object

network_interconnects.interconnects.status(stricon, InterconnectStatusParams**kwargs) -> InterconnectStatusResponse
GET/accounts/{account_id}/cni/interconnects/{icon}/status

Get the current status of an interconnect object

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic WAN ReadMagic Transit ReadMagic Transit Write
ParametersExpand Collapse
account_id: str

Customer account tag

icon: str
ReturnsExpand Collapse
One of the following:
class Pending:
state: Literal["Pending"]
class Down:
state: Literal["Down"]
reason: Optional[str]

Diagnostic information, if available

class Unhealthy:
state: Literal["Unhealthy"]
reason: Optional[str]

Diagnostic information, if available

class Healthy:
state: Literal["Healthy"]

Get the current status of an interconnect object

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.network_interconnects.interconnects.status(
    icon="icon",
    account_id="account_id",
)
print(response)
{
  "state": "Pending"
}
Returns Examples
{
  "state": "Pending"
}